/* version  "00.01.00" major.minor.bugfix */
/* Sven Goethel, sgoethel@jausoft.com, LICENSE: LGPL */
/*
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the
   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA  02111-1307, USA.
   
*/

#ifndef CDDATA_H
#define CDDATA_H

typedef struct {
	char tracknum[8], tracklen[8], trackname[120], trackname2[120];
	int action;
	int id;
} CDtrack;

class CDDBData 
{
    public:
	bool get (const char * cddevice, bool verbose);

	const char * getFileName(int trackIndex) const ;

	static void validateFileName(char * filename);
	static const char * getVersion () { return version; }

	static const char * tocFile ;
	static const char * version ;

	static const int MAX_TRACKNUMBER = 100 ;

	char artist[120];
	char album[120];

	int trackNumber;
	CDtrack tracks[MAX_TRACKNUMBER];

   protected:
	void grabTitle(FILE *filePtr);
	void grabTrack(FILE *filePtr, 
		         char *tracknum, char *tracklen, 
		         char *trackname, char *trackname2);
	void doCDA(const char * cddevice, bool verbose) ;
};


#endif

